@charset "utf-8";

/* =========================
   HERO BANNER
========================= */

.hero-banner {
  position: relative;
  width: 100%;
  min-height: clamp(420px, 50dvh, 760px);
  display: flex;
  align-items: flex-end; /* mobile first */
  justify-content: center;
  overflow: hidden;
  color: #fff;
  background: #fff;
  padding-bottom: 30px;
}

.hero-bg {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 0;
}

/* Overlay sombre */
.hero-banner::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(
    rgba(0, 0, 0, 0.25),
    rgba(0, 0, 0, 0.35)
  );
  z-index: 1;
}

.hero-banner::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 120px;
  background: #fff;
  z-index: 2;
}

/* =========================
   CONTENU
========================= */

.hero-banner-content {
  position: relative;
  z-index: 3;
  text-align: center;
  padding: 20px;
}

.hero-banner-content img {
  position: relative;
  z-index: 4;
  width: 320px;
  transform: translateY(25px);
}

.hero-banner h1 {
  font-size: 25px !important;
  font-weight: 800;
  margin: 35px 0 20px;
  line-height: 1.2;
  text-shadow: 0 5px 11px rgba(0, 0, 0, 0.35);
}

.hero-banner-subtitle {
  font-size: 15px;
  font-weight: 500;
  margin-bottom: 15px;
  text-align: center;
}

@media (min-width: 400px) {
    .hero-banner-subtitle {
        font-size: 16px;
    }
    .hero-banner h1 {
        font-size: 30px !important;
    }
}

/* =========================
   TABLET
========================= */

@media (min-width: 768px) {
  .hero-banner {
    min-height: clamp(420px, 40dvh, 760px);
    align-items: center;
    padding-bottom: 0;
  }

  .hero-banner-content img {
    width: 360px;
    transform: translateY(10px);
  }

  .hero-banner h1 {
    font-size: 32px;
  }

  .hero-banner-subtitle {
    font-size: 17px;
  }

  .hero-banner::after {
    height: clamp(90px, 14vw, 160px);
  }
}

/* =========================
   DESKTOP
========================= */

@media (min-width: 1100px) {

  .hero-banner-content img {
    width: 430px;
  }

  .hero-banner h1 {
    font-size: 35px;
  }

  .hero-banner-subtitle {
    font-size: 18px;
  }
}

/* ======================================================
   INTRO ÉMOTION
====================================================== */

.intro-emotion {
  padding: 0px 20px 60px 20px; /* plus grand padding top */
  background: white;
}

.intro-container {
  max-width: 800px;
  margin: auto;
}

.intro-emotion-title  {
  text-align: center;
  margin-bottom: 25px;
  font-weight: 700;
  letter-spacing: 0.3px;
  font-variant: small-caps;
  font-size:22px !important;
  line-height: normal;
}

.intro-emotion p {
  font-size: 16px;
}

/*DESKTOP*/
@media (min-width: 1100px) {
    .intro-emotion p {
      margin-top: 10px;
    }
}

/* ======================================================
   SECTION destinations
====================================================== */

.destinations {
  padding: 60px 20px 60px 20px;
  background: #f6f4f1;
  text-align: center;
}

.destinations-header h2,
.seasonal-header h2,
.about-text h2{
  font-size: 26px;
  font-weight: 700;
  margin-bottom: 20px;
}

.destinations-header p {
  color: #6b6b6b;
  margin-bottom: 33px;
  margin-left: 10px;
  margin-right: 10px;
}

/*DESKTOP*/
@media (min-width: 1100px) {
    .destinations-header p {
      margin-left: auto;
      margin-right: auto;
      text-align: center;
    }
}

.destinations-header-logo {
  display: flex;
  justify-content: center;
  align-items: center;
}


.patte_orange {
  margin-bottom: 24px;
  width: 30px;
}

/* ======================================================
   CAROUSEL SCROLL SNAP (IOS SAFE)
====================================================== */

.carousel{
  max-width: 1200px;
  margin: auto;

  overflow-x: auto;
  overflow-y: hidden;
  scroll-snap-type: x mandatory;
  -webkit-overflow-scrolling: touch;
  scrollbar-width: none;
  position:relative;
  overflow:hidden; /* empêche les flèches de bouger */
}

.carousel-viewport{
  overflow-x:auto;
  scroll-snap-type:x mandatory;
  -webkit-overflow-scrolling:touch;
  scrollbar-width:none;
  border-radius: 40px;
  padding-bottom: 22px;
}

.carousel-viewport::-webkit-scrollbar{
  display:none;
}

/* les flèches restent fixes */
.carousel-nav{
  position:absolute;
  top:50%;
  transform:translateY(-50%);
  z-index:10;
}

.prev{ left:8px; }
.next{ right:8px; }

.carousel::-webkit-scrollbar{
  display:none;
}

.carousel-track{
  display:flex;
  gap:16px;
  padding:0 14px;
}

/* cards */

.destination-card{
  flex:0 0 82vw;                 /* mobile */
  scroll-snap-align:start;
  background:white;
  border-radius:18px;
  overflow:hidden;
  text-decoration:none !important;
  color:inherit;
  box-shadow:0 6px 18px rgba(0,0,0,.08);
  transition:transform .25s ease, box-shadow .25s ease;
}

.destination-card:hover{
  transform:translateY(-6px);
  box-shadow:0 14px 30px rgba(0,0,0,.12);
}

.card-image{ height:200px; }
.card-image img{ width:100%; height:100%; object-fit:cover; }

.card-content{ padding:18px; text-align:left; }
.card-content h3{ font-size:19px; color:#479e8d; margin-bottom:6px;text-align: left;  }
.card-content span{ font-size:14px; color:#6b6b6b; }

.card-doggear-content{ padding:18px; }
.card-doggear-content h3{ font-size:19px; color:#ff9e1b; margin: auto;
                                                             margin-top: 10px;
                                                             margin-bottom: 10px; text-align: center; font-weight:bold; }
.card-doggear-content span{ font-size:14px; color:#6b6b6b; }

.slider-flag{ display:flex; gap:10px; align-items:center;}
.slider-flag img{ width:40px; }

/* ===== responsive ===== */

@media (min-width:768px){
  .destination-card{ flex:0 0 calc((100% - 32px)/2); }
}

@media (min-width:900px){
  .destination-card{ flex:0 0 calc((100% - 48px)/3); }
}

@media (min-width:1100px){
  .destination-card{ flex:0 0 calc((100% - 64px)/4); }
}

/* NAV */

.carousel-nav{
  position:absolute;
  top:45%;
  transform:translateY(-50%);
  background:white;
  border:none;
  width:48px;
  height:48px;
  border-radius:50%;
  box-shadow:0 6px 18px rgba(0,0,0,.18);
  cursor:pointer;
  font-size:22px;
  color:#6b6a6a;
  z-index:5;
}

.prev{ left:6px; }
.next{ right:6px; }

@media(max-width:768px){
  .carousel-nav{
    width:40px;
    height:40px;
    font-size:18px;
    background:rgba(255,255,255,.85);
    backdrop-filter:blur(6px);
  }
}

/* DOTS */
.carousel-dots{
  display:flex;
  justify-content:center;
  gap:8px;
}

.carousel-dots span{
  width:7px;
  height:7px;
  background:#cfcfcf;
  border-radius:50%;
  transition:.25s;
  position:relative;
}

/* points actifs */
.carousel-dots span.active{
  background:#ff6b2d;
}

/* relier les actifs */
.carousel-dots span.active + span.active::before{
  content:"";
  position:absolute;
  left:-8px;
  top:50%;
  transform:translateY(-50%);
  width:8px;
  height:3px;
  background:#ff6b2d;
  border-radius:3px;
}

/* ======================================================
   SEASONAL SECTION
====================================================== */

.seasonal {
  padding: 80px 10%;
  background: #f9f6f2;
}

.seasonal-header {
  text-align: center;
  margin-bottom: 30px;
  margin-bottom: 33px;
}

.seasonal-header p {
  margin-left: 10px;
  margin-right: 10px;
  color: #6b6b6b;
}

/*DESKTOP*/
@media (min-width: 1100px) {
    .seasonal-header p {
      margin-left: auto;
      margin-right: auto;
      text-align:center;
    }
}

.seasonal-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  gap: 30px;
}

.season-card {
  background: white;
  border-radius: 18px;
  overflow: hidden;
  text-decoration: none;
  color: inherit;
  box-shadow: 0 10px 25px rgba(0,0,0,0.05);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.season-card:hover {
  transform: translateY(-6px);
  box-shadow: 0 18px 35px rgba(0,0,0,0.08);
}

.season-image img {
  width: 100%;
  height: 220px;
  object-fit: cover;
}

.season-content {
  padding: 20px;
}

.season-content h3 {
  font-size: 19px;
  margin-bottom: 8px;
}

.season-content p {
  font-size: 14px;
  color: #6b6b6b;
}

/* ======================================================
   ABOUT
====================================================== */

.about-home {
  background: #f7f7f7;
  padding: 70px 20px;
}

.about-container {
  max-width: 1200px;
  margin: auto;
  display: flex;
  align-items: center;
  gap: 50px;
}

.about-text {
  flex: 1;
}

.about-text p {
  margin-bottom: 18px;
  color: #555;
  text-align: justify;
}

.about-image {
  flex: 1;
  text-align: center;
}

.about-signature{
  text-align: right !important;
  margin-right:50px;
  font-family: var(--font-newsletter-follow-me);
  font-size:23px;
}

.about-image img {
  width: 100%;
  max-width: 420px;
  border-radius: 20px;
  box-shadow: 0 12px 30px rgba(0,0,0,0.15);
}

@media (max-width: 900px) {
  .about-container {
    flex-direction: column;
    text-align: center;
    gap: 30px;
  }
}


